//
//  ViewController.m
//  FZHPopView
//
//  Created by 冯志浩 on 16/5/27.
//  Copyright © 2016年 FZH. All rights reserved.
//

#import "ViewController.h"
#import "FZHPopView.h"
#define SCREEN_WIDTH [UIScreen mainScreen].bounds.size.width
#define SCREEN_HEIGHT [UIScreen mainScreen].bounds.size.height
@interface ViewController ()<FZHPopViewDelegate>

@property (nonatomic, strong) NSMutableArray *titleArray;

//@property (nonatomic, strong) UIButton *testButton;

@end

@implementation ViewController
{
    UIButton * _testButton;
    FZHPopView * _fzhPopView;
}
//懒加载标题数组
- (NSMutableArray *)titleArray{
    if (!_titleArray) {
        _titleArray = [NSMutableArray array];
    }
    return _titleArray;
}


- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self initTitleArray];
    [self initSubViews];
   
}

- (void)initTitleArray{
    
    [self.titleArray addObject:@"测试1"];
    [self.titleArray addObject:@"测试2"];
}

- (void)initSubViews{
    
    _testButton = [UIButton buttonWithType:UIButtonTypeCustom];
    _testButton.frame = CGRectMake(100, 100, 200, 100);
    [_testButton setTitle:@"测试按钮" forState:UIWindowLevelNormal];
    [_testButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [_testButton addTarget:self action:@selector(buttonClick) forControlEvents:UIControlEventTouchUpInside];
    _testButton.backgroundColor = [UIColor grayColor];
    [self.view addSubview:_testButton];
    
}

- (void)buttonClick{
    _fzhPopView = [[FZHPopView alloc]initWithFrame:CGRectMake(0, 0, SCREEN_WIDTH, SCREEN_HEIGHT)];
    _fzhPopView.fzhPopViewDelegate = self;
    [_fzhPopView showThePopViewWithArray:self.titleArray];
}

#pragma mark - FZHPopViewDelegate
- (void)getTheButtonTitleWithButton:(UIButton *)button{
    
    int index = (int)button.tag - 1000;
    NSString * buttonStr = self.titleArray[index];
    [_testButton setTitle:buttonStr forState:UIControlStateNormal];
    [_fzhPopView dismissThePopView];
}

@end
